commit:     3a38f7e70ab026cfb713ca9e0036976601f46760
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  1 22:10:32 2023 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Wed Feb  1 22:12:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a38f7e7

net-wireless/urh: 2.9.3->2.9.4

ebuild cleanup and test enable

Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 net-wireless/urh/Manifest                          |  2 +-
 .../urh/{urh-2.9.3.ebuild => urh-2.9.4.ebuild}     | 27 ++++++++++++++++++++--
 net-wireless/urh/urh-9999.ebuild                   | 27 ++++++++++++++++++++--
 3 files changed, 51 insertions(+), 5 deletions(-)

diff --git a/net-wireless/urh/Manifest b/net-wireless/urh/Manifest
index 57bdf551ab05..089ec683f148 100644
--- a/net-wireless/urh/Manifest
+++ b/net-wireless/urh/Manifest
@@ -1 +1 @@
-DIST urh-2.9.3.tar.gz 13408355 BLAKE2B 
d856f482a2228fcc3e2aa421a3f7bd601fd10848c65abe2dafde921c12aa5b4fb540dee68a76adb79f0cd83b60bd9a19cba4101afbe8a0cf75b445a01d811e6a
 SHA512 
5d166d6895271a6f2c5cc09f80fef2b7780f4ceec030fdfe229abafa76d77718bc5ca6d0b462c3745e71a28f2172534e756a795c3ec95f4f0f23efab8bd69e82
+DIST urh-2.9.4.tar.gz 13415656 BLAKE2B 
504cb073540f614eea070a7aaa83ac62f81c6a115a01f935cfc39baec37bc1deb5b56035100700825f41b21ec0937d6014f0d0b73debcbf9ca951e238805d64b
 SHA512 
a888c20a4d2f349960e41defdb5cce6590d4523f8a1a655e21e4caaf7dd98a6f51936fa5a038787cb5935bc42e8863d2940059130dc9982caeea4b80e431aeeb

diff --git a/net-wireless/urh/urh-2.9.3.ebuild 
b/net-wireless/urh/urh-2.9.4.ebuild
similarity index 58%
rename from net-wireless/urh/urh-2.9.3.ebuild
rename to net-wireless/urh/urh-2.9.4.ebuild
index 83c8cfc93afb..2a91a1e6cf95 100644
--- a/net-wireless/urh/urh-2.9.3.ebuild
+++ b/net-wireless/urh/urh-2.9.4.ebuild
@@ -1,10 +1,10 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 PYTHON_COMPAT=( python3_{9..10} )
-inherit distutils-r1
+inherit distutils-r1 virtualx
 
 DESCRIPTION="Universal Radio Hacker: investigate wireless protocols like a 
boss"
 HOMEPAGE="https://github.com/jopohl/urh";
@@ -40,6 +40,8 @@ RDEPEND="${DEPEND}
                dev-python/PyQt5[${PYTHON_USEDEP},testlib]
                net-wireless/gr-osmosdr"
 
+distutils_enable_tests pytest
+
 python_configure_all() {
        DISTUTILS_ARGS=(
                        $(use_with airspy)
@@ -52,3 +54,24 @@ python_configure_all() {
                        $(use_with uhd usrp)
                        )
 }
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       # Why are these disabled?
+       # import errors AND hangs forever after 
'tests/test_spectrogram.py::TestSpectrogram::test_cancel_filtering'
+       # import errors 
'tests/test_continuous_modulator.py::TestContinuousModulator::test_modulate_continuously'
+       # import errors 
'tests/test_send_recv_dialog_gui.py::TestSendRecvDialog::test_continuous_send_dialog'
+       # import errors 
'tests/test_spectrogram.py::TestSpectrogram::test_channel_separation_with_negative_frequency'
+       local EPYTEST_DESELECT=(
+               
'tests/test_spectrogram.py::TestSpectrogram::test_cancel_filtering'
+               
'tests/test_continuous_modulator.py::TestContinuousModulator::test_modulate_continuously'
+               
'tests/test_send_recv_dialog_gui.py::TestSendRecvDialog::test_continuous_send_dialog'
+               
'tests/test_spectrogram.py::TestSpectrogram::test_channel_separation_with_negative_frequency'
+
+       )
+       cd "${T}" || die
+       epytest -s --pyargs urh.cythonext "${S}/tests" || die
+}

diff --git a/net-wireless/urh/urh-9999.ebuild b/net-wireless/urh/urh-9999.ebuild
index 83c8cfc93afb..2a91a1e6cf95 100644
--- a/net-wireless/urh/urh-9999.ebuild
+++ b/net-wireless/urh/urh-9999.ebuild
@@ -1,10 +1,10 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 PYTHON_COMPAT=( python3_{9..10} )
-inherit distutils-r1
+inherit distutils-r1 virtualx
 
 DESCRIPTION="Universal Radio Hacker: investigate wireless protocols like a 
boss"
 HOMEPAGE="https://github.com/jopohl/urh";
@@ -40,6 +40,8 @@ RDEPEND="${DEPEND}
                dev-python/PyQt5[${PYTHON_USEDEP},testlib]
                net-wireless/gr-osmosdr"
 
+distutils_enable_tests pytest
+
 python_configure_all() {
        DISTUTILS_ARGS=(
                        $(use_with airspy)
@@ -52,3 +54,24 @@ python_configure_all() {
                        $(use_with uhd usrp)
                        )
 }
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       # Why are these disabled?
+       # import errors AND hangs forever after 
'tests/test_spectrogram.py::TestSpectrogram::test_cancel_filtering'
+       # import errors 
'tests/test_continuous_modulator.py::TestContinuousModulator::test_modulate_continuously'
+       # import errors 
'tests/test_send_recv_dialog_gui.py::TestSendRecvDialog::test_continuous_send_dialog'
+       # import errors 
'tests/test_spectrogram.py::TestSpectrogram::test_channel_separation_with_negative_frequency'
+       local EPYTEST_DESELECT=(
+               
'tests/test_spectrogram.py::TestSpectrogram::test_cancel_filtering'
+               
'tests/test_continuous_modulator.py::TestContinuousModulator::test_modulate_continuously'
+               
'tests/test_send_recv_dialog_gui.py::TestSendRecvDialog::test_continuous_send_dialog'
+               
'tests/test_spectrogram.py::TestSpectrogram::test_channel_separation_with_negative_frequency'
+
+       )
+       cd "${T}" || die
+       epytest -s --pyargs urh.cythonext "${S}/tests" || die
+}

Reply via email to